Get a post
curl --request GET \
--url https://api.spacebring.com/feed/posts/v1/{id} \
--header 'Authorization: Basic <encoded-value>'{
"post": {
"comments": 123,
"createDate": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"likes": 123,
"locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"media": [
{
"height": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"mime": "<string>",
"url": "<string>",
"width": 123
}
],
"membership": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"about": "<string>",
"deleteDate": "2023-11-07T05:31:56Z",
"email": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"photoUrl": "<string>",
"surname": "<string>"
}
},
"membershipRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pinned": true,
"liked": true,
"locale": "<string>",
"og": {
"url": "<string>",
"description": "<string>",
"image": "<string>",
"title": "<string>",
"type": "<string>",
"videoUrl": "<string>"
},
"text": "<string>",
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"about": "<string>",
"deleteDate": "2023-11-07T05:31:56Z",
"email": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"photoUrl": "<string>",
"surname": "<string>"
}
}
}Feed
Get a post
Get a feed post.
OAuth
Required scopes:feed or feed.readonlyGET
/
feed
/
posts
/
v1
/
{id}
Get a post
curl --request GET \
--url https://api.spacebring.com/feed/posts/v1/{id} \
--header 'Authorization: Basic <encoded-value>'{
"post": {
"comments": 123,
"createDate": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"likes": 123,
"locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"media": [
{
"height": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"mime": "<string>",
"url": "<string>",
"width": 123
}
],
"membership": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"about": "<string>",
"deleteDate": "2023-11-07T05:31:56Z",
"email": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"photoUrl": "<string>",
"surname": "<string>"
}
},
"membershipRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pinned": true,
"liked": true,
"locale": "<string>",
"og": {
"url": "<string>",
"description": "<string>",
"image": "<string>",
"title": "<string>",
"type": "<string>",
"videoUrl": "<string>"
},
"text": "<string>",
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"about": "<string>",
"deleteDate": "2023-11-07T05:31:56Z",
"email": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"photoUrl": "<string>",
"surname": "<string>"
}
}
}Authorizations
BasicAuthOAuth2
See our authentication documentation for how to authorize your requests
Headers
The id of the network. Required when using bearer token authentication
Path Parameters
The id of the post.
Response
OK
Show child attributes
Show child attributes
Was this page helpful?
⌘I